netatalk 4.5.0
Free and Open Source Apple Filing Protocol (AFP) Server
Loading...
Searching...
No Matches
afp_mdns.h File Reference

mDNS based Zeroconf support More...

`#include <assert.h>`
`#include <stdlib.h>`
`#include <string.h>`
`#include <dns_sd.h>`
`#include <atalk/logger.h>`

Go to the source code of this file.

## Functions
void | md_zeroconf_register (const AFPObj *obj)
int | md_zeroconf_unregister (void)
| Tries to shutdown this loop impl.

## Detailed Description

mDNS based Zeroconf support

Author
  Lee Essen lee.e.nosp@m.ssen.nosp@m.@nowo.nosp@m.nlin.nosp@m.e.co..nosp@m.uk

Note
  Based on: avahi support from Daniel S. Haischt me@da.nosp@m.niel.nosp@m..stef.nosp@m.an.h.nosp@m.aisch.nosp@m.t.na.nosp@m.me

## Function Documentation

## ◆ md_zeroconf_register()

void md_zeroconf_register | ( | const AFPObj * | obj | ) |

Tries to setup the Zeroconf thread and any neccessary config setting.

## ◆ md_zeroconf_unregister()

int md_zeroconf_unregister | ( | void |  | ) |

Tries to shutdown this loop impl.

Note
  Call this function from inside this thread.